Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.dss._1_0.core.schema
Class SignedReference

    java.lang.Object
      oasis.names.tc.dss._1_0.core.schema.SignedReference

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:23:16+02:00",
               comments="JAXB RI v2.2.11")
    public class SignedReference

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}Transforms" minOccurs="0"/>
           </sequence>
           <attribute name="WhichDocument" use="required" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
           <attribute name="RefURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="RefId" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SignedReference()`

Method Summary
`String` | `getRefId()` Gets the value of the refId property.
`String` | `getRefURI()` Gets the value of the refURI property.
`Transforms` | `getTransforms()` Gets the value of the transforms property.
`Object` | `getWhichDocument()` Gets the value of the whichDocument property.
`void` | `setRefId(String value)` Sets the value of the refId property.
`void` | `setRefURI(String value)` Sets the value of the refURI property.
`void` | `setTransforms(Transforms value)` Sets the value of the transforms property.
`void` | `setWhichDocument(Object value)` Sets the value of the whichDocument property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignedReference

    public SignedReference()

Method Detail

### getTransforms

    public Transforms getTransforms()

  Gets the value of the transforms property.

  Returns:
    possible object is `Transforms`

### setTransforms

    public void setTransforms(Transforms value)

  Sets the value of the transforms property.

  Parameters:
    `value` - allowed object is `Transforms`

### getWhichDocument

    public Object getWhichDocument()

  Gets the value of the whichDocument property.

  Returns:
    possible object is `Object`

### setWhichDocument

    public void setWhichDocument(Object value)

  Sets the value of the whichDocument property.

  Parameters:
    `value` - allowed object is `Object`

### getRefURI

    public String getRefURI()

  Gets the value of the refURI property.

  Returns:
    possible object is `String`

### setRefURI

    public void setRefURI(String value)

  Sets the value of the refURI property.

  Parameters:
    `value` - allowed object is `String`

### getRefId

    public String getRefId()

  Gets the value of the refId property.

  Returns:
    possible object is `String`

### setRefId

    public void setRefId(String value)

  Sets the value of the refId property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.